#include "rte_control_Velocidad_parameters.h"
#include "control_Velocidad.h"
#include "control_Velocidad_cal.h"

RTE_Param_Service_T RTE_Param_Service = {
  0.02,
  0.000576923076923077,
  (14835751850141947904UL)
};

RTE_Param_Service_T *RTE_Param_Service_ptr = &RTE_Param_Service;
real_T* get_cte_amplitud(void)
{
  return &RTE_Param_Service_ptr->cte_amplitud;
}

real_T* get_limite_direccion(void)
{
  return &RTE_Param_Service_ptr->limite_direccion;
}

uint64_T* get_cte_encoder(void)
{
  return &RTE_Param_Service_ptr->cte_encoder;
}

extern control_Velocidad_cal_type control_Velocidad_cal_impl;
extern RTE_Param_Service_T RTE_Param_Service;
namespace slrealtime
{
  /* Description of SEGMENTS */
  SegmentVector segmentInfo {
    { (void*)&RTE_Param_Service, (void**)&RTE_Param_Service_ptr, sizeof
      (RTE_Param_Service_T), 2 },

    { (void*)&control_Velocidad_cal_impl, (void**)&control_Velocidad_cal, sizeof
      (control_Velocidad_cal_type), 2 }
  };

  SegmentVector &getSegmentVector(void)
  {
    return segmentInfo;
  }
}                                      // slrealtime
